package com.kuyuntech.cofarcooking.device.sdk.protocol.core.resp;


import com.kuyuntech.cofarcooking.device.sdk.constant.core.CmdTypes;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseBody;
import com.kuyuntech.cofarcooking.device.sdk.protocol.core.BaseDecoder;
import com.kuyuntech.cofarcooking.device.sdk.util.core.Converter;
import lombok.*;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
@AllArgsConstructor
public class ShakeHandsResp extends BaseBody {

    private BaseBody baseBody;

    //指令类型
    private String cmd;

    //状态
    private String status;



    public ShakeHandsResp(String data){
        this(new BaseDecoder(data));
    }

    public ShakeHandsResp(){
        super(CmdTypes.SHAKE_HANDS +"00");
    }



    public ShakeHandsResp(BaseDecoder baseDecoder) {
        this.baseBody = baseDecoder.getBaseBody();
        byte[] content = this.baseBody.getContent();
        int i = 0;
        this.cmd = Converter.bytesToHexString(new byte[]{content[i++],content[i++]},2);
        this.status = Converter.bytesToHexString(new byte[]{content[i++]},1);
    }



}
